Fetch a chatbot
curl --request GET \
--url https://api.vectorshift.ai/v1/chatbot \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vectorshift.ai/v1/chatbot"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vectorshift.ai/v1/chatbot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"object": {}
}{
"status": "failed",
"error": "<string>"
}{
"error": "Missing authorization header"
}{
"status": "failed",
"error": "<string>"
}{
"status": "failed",
"error": "<string>"
}Chatbots
Fetch an existing chatbot
GET
/
chatbot
Fetch a chatbot
Authorizations
Bearer token authentication using API key
Query Parameters
Optional chatbot ID. If not provided, name parameter is required
Name of the chatbot. Required if id is not provided
Optional username for name-based search
Optional organization name for name-based search
